Bug 69209 - printtol crahses with assertion failed (GLib)
Summary: printtol crahses with assertion failed (GLib)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: printtool   
(Show other bugs)
Version: 1.0
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-19 00:11 UTC by Need Real Name
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 15:41:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-07-19 00:11:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux alpha; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
Packages:
 redhat-config-printer-0.4.14-1.src.rpm 
 redhat-switch-printer-0.5.6-1.src.rpm
 glib-1.2.10-8.src.rpm
 glib2-2.0.4-2.src.rpm 
Example:
There are two sections startup then I try to edit a printer and I get
the last and fatal error:

[root@shadowdragon mail]# printtool 

(printtool:24898): GLib-GObject-WARNING **: invalid cast from (NULL) pointer to
`GObject'

(printtool:24898): GLib-GObject-CRITICAL **: file gobject.c: line 974
(g_object_get): assertion `G_IS_OBJECT (object)' failed

(printtool:24898): GLib-GObject-WARNING **: invalid cast from (NULL) pointer to
`GObject'

(printtool:24898): GLib-GObject-CRITICAL **: file gobject.c: line 974
(g_object_get): assertion `G_IS_OBJECT (object)' failed
[root@shadowdragon mail]# 



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start printtool
2.try to edit an printer
3.
	

Actual Results:  core dump asserition failed

Expected Results:  ability to edit an printer setup.

Additional info:

[root@shadowdragon mail]# printtool 

(printtool:24898): GLib-GObject-WARNING **: invalid cast from (NULL) pointer to
`GObject'

(printtool:24898): GLib-GObject-CRITICAL **: file gobject.c: line 974
(g_object_get): assertion `G_IS_OBJECT (object)' failed

(printtool:24898): GLib-GObject-WARNING **: invalid cast from (NULL) pointer to
`GObject'

(printtool:24898): GLib-GObject-CRITICAL **: file gobject.c: line 974
(g_object_get): assertion `G_IS_OBJECT (object)' failed
[root@shadowdragon mail]#

Comment 1 Tim Waugh 2002-07-19 06:38:30 UTC
What version of pygtk2 do you have, and what locale are you using?

Comment 2 Need Real Name 2002-07-19 16:26:09 UTC
Locale info:

sh-2.05a$ locale
LANG=en_US
LC_CTYPE="en_US"
LC_NUMERIC="en_US"
LC_TIME="en_US"
LC_COLLATE="en_US"
LC_MONETARY="en_US"
LC_MESSAGES="en_US"
LC_PAPER="en_US"
LC_NAME="en_US"
LC_ADDRESS="en_US"
LC_TELEPHONE="en_US"
LC_MEASUREMENT="en_US"
LC_IDENTIFICATION="en_US"
LC_ALL=

Secondary package:

pygtk2-1.99.10-3
pygtk2-devel-1.99.10-3
pygtk2-libglade-1.99.10-3

Went and got the latest version from the server.
pygtk2-1.99.11-1.src.rpm

Now I run printtool and nothing happens , no window ,no core just a prompt
returning. So I recompiled redhat-config-printer-0.4.14-1.src.rpm incase
of a hidden depend. No dice same effect , tried all the commands from the gui
package.

Off hand comment:

Sigh, on a a side note I wish there was a script that
would download all the new rawhide sources and 
recompile/install every night.


Comment 3 Tim Waugh 2002-07-19 16:37:45 UTC
Is this a Limbo upgrade?

Comment 4 Need Real Name 2002-07-19 16:45:57 UTC
this is a 7.1 alpha pushed to the current rawhide release
give or take a week.

uname -a
Linux shadowdragon 2.4.18 #9 Tue Jul 9 08:44:02 PDT 2002 alpha unknown


Comment 5 Tim Waugh 2004-12-10 15:41:49 UTC
This was fixed a while ago I think.


Note You need to log in before you can comment on or make changes to this bug.